Bug 76697 - mozilla insists on using "built-in" helpers even if told otherwise
mozilla insists on using "built-in" helpers even if told otherwise
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-24 19:40 EDT by Michal Jaegermann
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-10-24 19:40:47 EDT
Description of Problem:

Even when mozilla pretends to use 'plugger' plugin then whatever is
given in /etc/pluggerrc seems to be just silently ignored. To wit:
I have the following script which I would like to use to display
dvi files:

#!/bin/sh

# view dvi files via Postscript
# Michal Jaegermann, michal@harddata.com
# 2002-Apr-2
# 2002-Oct-21 - assorted updates

me=$(basename $0)
usage () {
    echo "usage: $me [options_for_viewer] [ -- ]  dvi_file_to_view [ file ... ]"
    exit 1
}

while [ $# -gt 1 ] ; do
    if [ "$1" = '--' ] ; then
	shift
	break 
    fi
    vopts="$vopts $1"
    shift
done
[ "$1" = '--' ] && shift

[ $# -ne 0 ] || usage
if DP=$(\which --skip-alias gv 2>/dev/null) ; then
    DP="$DP -safer -quiet"
    ps=yes
elif DP=$(\which --skip-alias ggv 2>/dev/null) ; then
    DP="$DP --notoolbar"
    ps=y
elif DP=(\which --skip-alias xdvi 2>/dev/null) ; then
    DP="$DP -safer -hush"
else
    exit 1
fi

if ! tmpdir=$(mktemp -d /tmp/${me}XXXXXX) ; then
    echo "$me:  cannot create temporary directory"
fi

trap "rm -rf $tmpdir; exit 1" 1 2 3 9 15

while [ "$1" ] ; do
    if [ "ps" = "" ] ; then
	$DP $vopts "$oname"
	continue
    fi
    oname=$tmpdir/"$(basename $1)"
    oname="${oname%.dvi}.ps"
    if dvips -Pcmz -o "$oname" "$1" >/dev/null 2>&1 ; then
	$DP $vopts "$oname" || :
    fi
    rm -f "$oname"
    # a hack for deranged web browsers spilling junk in /tmp
    case $1 in
	/tmp/*.exe) rm -f $1 ;;
    esac
    shift
done
rm -rf $tmpdir
exit 0

To see what all of this about try that on few .dvi files for which bitmap
fonts were _not_ yet created and you see why this is attractive.

After putting in /etc/pluggerc this:

application/x-dvi: dvi: DVI file
        repeat swallow(gv) fill: dvidocviews -geometry +9000+9000 "$file"

this does what it seems to imply in Netscape and is just ignored by
Mozilla.  It is also ignored by Galeon but there I can at least set
a helper application to my script but mozilla insists on using xdvi
with bitmap fonts no matter what.
Comment 1 Bill Nottingham 2006-08-07 15:18:24 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:41:03 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.